com.impinj.octane

## Class RshellEngine

- java.lang.Object
- - com.impinj.octane.RshellEngine

-     public class RshellEngine
      extends java.lang.Object

  This class allows the application to generate rshell commands and process the rshell responses. RShell is the Impinj reader management interface. The rshell interface runs independently from the LLRP RFID interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RshellEngine()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes an rshell connection to the readers
    `void` | `open(java.lang.String address, java.lang.String username, java.lang.String password, int timeoutMs)` Opens an rshell connection to the reader
    `java.lang.String` | `send(java.lang.String cmd)` Sends an rshell command to the reader

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RshellEngine

          public RshellEngine()

  - ### Method Detail

    - #### send

          public java.lang.String send(java.lang.String cmd)
                                throws OctaneSdkException

      Sends an rshell command to the reader
      Parameters:
        `cmd` - the command formatted as a string
      Returns:
        the response to the command formatted as a string
      Throws:
        `OctaneSdkException` - if the command fails
      See Also:
        `for helpers in parsing rshell commands`

    - #### open

          public void open(java.lang.String address,
                           java.lang.String username,
                           java.lang.String password,
                           int timeoutMs)
                    throws OctaneSdkException

      Opens an rshell connection to the reader
      Parameters:
        `address` - address or hostname of the reader
        `username` - the reader username (default is root)
        `password` - the password for the user account (default is impinj)
        `timeoutMs` - a timeout to abort the attempt if no response is heard back
      Throws:
        `OctaneSdkException` - if the connection fails to open

    - #### close

          public void close()
                     throws OctaneSdkException

      Closes an rshell connection to the readers
      Throws:
        `OctaneSdkException` - if the close attempt fails